package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OpenPlatformAuthBillApiEntryCollection extends AbstractObjectCollection 
{
    public OpenPlatformAuthBillApiEntryCollection()
    {
        super(OpenPlatformAuthBillApiEntryInfo.class);
    }
    public boolean add(OpenPlatformAuthBillApiEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OpenPlatformAuthBillApiEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OpenPlatformAuthBillApiEntryInfo item)
    {
        return removeObject(item);
    }
    public OpenPlatformAuthBillApiEntryInfo get(int index)
    {
        return(OpenPlatformAuthBillApiEntryInfo)getObject(index);
    }
    public OpenPlatformAuthBillApiEntryInfo get(Object key)
    {
        return(OpenPlatformAuthBillApiEntryInfo)getObject(key);
    }
    public void set(int index, OpenPlatformAuthBillApiEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OpenPlatformAuthBillApiEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OpenPlatformAuthBillApiEntryInfo item)
    {
        return super.indexOf(item);
    }
}